apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: bookshop-api-shubham-shreeghanesh
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: bookshop-api-shubham-shreeghanesh
    spec:
      containers:
        - name: bookshop-api-shubham-shreeghanesh
          image: registry.gitlab.com/shreeghanesh.balaji/bookshop
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
      imagePullSecrets:
        - name: bookshop-api-registry
---
apiVersion: v1
kind: Service
metadata:
  name: bookshop-service-shubham-shreeghanesh
  labels:
    app: bookshop-api-shubham-shreeghanesh
spec:
  ports:
    - port: 80
      targetPort: 8080
  selector:
    app: bookshop-api-shubham-shreeghanesh
  type: LoadBalancer